scala.tools.nsc.backend.jvm.BCodeIdiomatic

# JCodeMethodN

###
Related Docs: object JCodeMethodN | package BCodeIdiomatic

#### abstract class JCodeMethodN extends AnyRef

Source
  BCodeIdiomatic.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
bc
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JCodeMethodN
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JCodeMethodN()

### Abstract Value Members

1. #### abstract def jmethod: MethodNode

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JCodeMethodN to any2stringadd[JCodeMethodN] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JCodeMethodN, B)

   Implicit information
     This member is added by an implicit conversion from JCodeMethodN to ArrowAssoc[JCodeMethodN] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def add(tk: BTypesFromSymbols.BType): Unit

7. #### final def aload(tk: BTypesFromSymbols.BType): Unit

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

9. #### final def astore(tk: BTypesFromSymbols.BType): Unit

10. #### final def boolconst(b: Boolean): Unit

11. #### final def checkCast(tk: BTypesFromSymbols.RefBType): Unit

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### final def dconst(cst: Double): Unit

14. #### final def div(tk: BTypesFromSymbols.BType): Unit

15. #### final def drop(tk: BTypesFromSymbols.BType): Unit

16. #### final def dup(tk: BTypesFromSymbols.BType): Unit

17. #### final def emit(opc: Int): Unit

18. #### final def emitIF(cond: Global.icodes.TestOp, label: Label): Unit

19. #### final def emitIFNONNULL(label: Label): Unit

20. #### final def emitIFNULL(label: Label): Unit

21. #### final def emitIF_ACMP(cond: Global.icodes.TestOp, label: Label): Unit

22. #### final def emitIF_ICMP(cond: Global.icodes.TestOp, label: Label): Unit

23. #### final def emitPrimitive(opcs: Array[Int], tk: BTypesFromSymbols.BType): Unit

24. #### final def emitRETURN(tk: BTypesFromSymbols.BType): Unit

25. #### final def emitSWITCH(keys: Array[Int], branches: Array[Label], defaultBranch: Label, minDensity: Double): Unit

26. #### final def emitT2T(from: BTypesFromSymbols.BType, to: BTypesFromSymbols.BType): Unit

27. #### final def emitTypeBased(opcs: Array[Int], tk: BTypesFromSymbols.BType): Unit

28. #### final def emitVarInsn(opc: Int, idx: Int, tk: BTypesFromSymbols.BType): Unit

29. #### def ensuring(cond: (JCodeMethodN) ⇒ Boolean, msg: ⇒ Any): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

30. #### def ensuring(cond: (JCodeMethodN) ⇒ Boolean): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

31. #### def ensuring(cond: Boolean, msg: ⇒ Any): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

32. #### def ensuring(cond: Boolean): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

33. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

34. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

35. #### final def fconst(cst: Float): Unit

36. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to StringFormat[JCodeMethodN] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

37. #### final def genEndConcat(pos: Global.Position): Unit

38. #### final def genPrimitiveArithmetic(op: Global.icodes.ArithmeticOp, kind: BTypesFromSymbols.BType): Unit

39. #### final def genPrimitiveLogical(op: Int, kind: BTypesFromSymbols.BType): Unit

40. #### final def genPrimitiveShift(op: Int, kind: BTypesFromSymbols.BType): Unit

41. #### final def genStartConcat(pos: Global.Position): Unit

42. #### final def genStringConcat(el: BTypesFromSymbols.BType, pos: Global.Position): Unit

43. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

44. #### final def goTo(label: Label): Unit

45. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()

46. #### final def iconst(cst: Int): Unit

47. #### final def invokedynamic(owner: String, name: String, desc: String): Unit

48. #### final def invokeinterface(owner: String, name: String, desc: String, pos: Global.Position): Unit

49. #### final def invokespecial(owner: String, name: String, desc: String, pos: Global.Position): Unit

50. #### final def invokestatic(owner: String, name: String, desc: String, pos: Global.Position): Unit

51. #### final def invokevirtual(owner: String, name: String, desc: String, pos: Global.Position): Unit

52. #### final def isInstance(tk: BTypesFromSymbols.RefBType): Unit

53. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

54. #### final def lconst(cst: Long): Unit

55. #### final def load(idx: Int, tk: BTypesFromSymbols.BType): Unit

56. #### final def mul(tk: BTypesFromSymbols.BType): Unit

57. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

58. #### final def neg(tk: BTypesFromSymbols.BType): Unit

59. #### final def newarray(elem: BTypesFromSymbols.BType): Unit

60. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

61. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

62. #### final def rem(tk: BTypesFromSymbols.BType): Unit

63. #### final def store(idx: Int, tk: BTypesFromSymbols.BType): Unit

64. #### final def sub(tk: BTypesFromSymbols.BType): Unit

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

67. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### def →[B](y: B): (JCodeMethodN, B)

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to ArrowAssoc[JCodeMethodN] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JCodeMethodN to any2stringadd[JCodeMethodN]

### Inherited by implicit conversion StringFormat from JCodeMethodN to StringFormat[JCodeMethodN]

### Inherited by implicit conversion Ensuring from JCodeMethodN to Ensuring[JCodeMethodN]

### Inherited by implicit conversion ArrowAssoc from JCodeMethodN to ArrowAssoc[JCodeMethodN]

### Ungrouped